# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_computer`](#dsc_computer): The DSC Computer resource type. Automatically generated from version 8.0.0
* [`dsc_ieenhancedsecurityconfiguration`](#dsc_ieenhancedsecurityconfiguration): The DSC IEEnhancedSecurityConfiguration resource type. Automatically generated from version 8.0.0
* [`dsc_offlinedomainjoin`](#dsc_offlinedomainjoin): The DSC OfflineDomainJoin resource type. Automatically generated from version 8.0.0
* [`dsc_pendingreboot`](#dsc_pendingreboot): The DSC PendingReboot resource type. Automatically generated from version 8.0.0
* [`dsc_powerplan`](#dsc_powerplan): The DSC PowerPlan resource type. Automatically generated from version 8.0.0
* [`dsc_powershellexecutionpolicy`](#dsc_powershellexecutionpolicy): The DSC PowerShellExecutionPolicy resource type. Automatically generated from version 8.0.0
* [`dsc_remotedesktopadmin`](#dsc_remotedesktopadmin): The DSC RemoteDesktopAdmin resource type. Automatically generated from version 8.0.0
* [`dsc_scheduledtask`](#dsc_scheduledtask): The DSC ScheduledTask resource type. Automatically generated from version 8.0.0
* [`dsc_smbserverconfiguration`](#dsc_smbserverconfiguration): The DSC SmbServerConfiguration resource type. Automatically generated from version 8.0.0
* [`dsc_smbshare`](#dsc_smbshare): The DSC SmbShare resource type. Automatically generated from version 8.0.0
* [`dsc_systemlocale`](#dsc_systemlocale): The DSC SystemLocale resource type. Automatically generated from version 8.0.0
* [`dsc_timezone`](#dsc_timezone): The DSC TimeZone resource type. Automatically generated from version 8.0.0
* [`dsc_useraccountcontrol`](#dsc_useraccountcontrol): The DSC UserAccountControl resource type. Automatically generated from version 8.0.0
* [`dsc_virtualmemory`](#dsc_virtualmemory): The DSC VirtualMemory resource type. Automatically generated from version 8.0.0
* [`dsc_windowscapability`](#dsc_windowscapability): The DSC WindowsCapability resource type. Automatically generated from version 8.0.0
* [`dsc_windowseventlog`](#dsc_windowseventlog): The DSC WindowsEventLog resource type. Automatically generated from version 8.0.0

## Resource types

### `dsc_computer`

The DSC Computer resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_computer` type.

##### `dsc_currentou`

Data type: `Optional[String]`

A read-only property that specifies the organizational unit that the computer account is currently in.

##### `dsc_description`

Data type: `Optional[String]`

The value assigned here will be set as the local computer description.

##### `dsc_domainname`

Data type: `Optional[String]`

The name of the domain to join.

##### `dsc_server`

Data type: `Optional[String]`

The Active Directory Domain Controller to use to join the domain

##### `dsc_workgroupname`

Data type: `Optional[String]`

The name of the workgroup.

#### Parameters

The following parameters are available in the `dsc_computer` type.

##### `dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to join a domain.

##### `dsc_joinou`

Data type: `Optional[String]`

The distinguished name of the organizational unit that the computer account will be created in.

##### `dsc_name`

namevar

Data type: `String`

The desired computer name.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_unjoincredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to leave a domain.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_ieenhancedsecurityconfiguration`

The DSC IEEnhancedSecurityConfiguration resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_ieenhancedsecurityconfiguration` type.

##### `dsc_enabled`

Data type: `Boolean`

Specifies if IE Enhanced Security Configuration should be enabled or disabled.

##### `dsc_suppressrestart`

Data type: `Optional[Boolean]`

Specifies if a restart of the node should be suppressed. By default the node will be restarted if the value is changed.

#### Parameters

The following parameters are available in the `dsc_ieenhancedsecurityconfiguration` type.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_role`

namevar

Data type: `Enum['Administrators', 'Users']`

Specifies the role for which the IE Enhanced Security Configuration should be changed.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_offlinedomainjoin`

The DSC OfflineDomainJoin resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_offlinedomainjoin` type.

##### `dsc_requestfile`

Data type: `String`

The full path to the Offline Domain Join Request file to use.

#### Parameters

The following parameters are available in the `dsc_offlinedomainjoin` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_pendingreboot`

The DSC PendingReboot resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_pendingreboot` type.

##### `dsc_ccmclientsdk`

Data type: `Optional[Boolean]`

A value indicating whether the ConfigMgr client triggered a reboot.

##### `dsc_componentbasedservicing`

Data type: `Optional[Boolean]`

A value indicating whether the Component-Based Servicing component requested a reboot.

##### `dsc_pendingcomputerrename`

Data type: `Optional[Boolean]`

A value indicating whether a pending computer rename triggered a reboot.

##### `dsc_pendingfilerename`

Data type: `Optional[Boolean]`

A value indicating whether a pending file rename triggered a reboot.

##### `dsc_rebootrequired`

Data type: `Optional[Boolean]`

A value indicating whether the node requires a reboot.

##### `dsc_skipccmclientsdk`

Data type: `Optional[Boolean]`

Specifies whether to skip reboots triggered by the ConfigMgr client. Defaults to True.

##### `dsc_skipcomponentbasedservicing`

Data type: `Optional[Boolean]`

Specifies whether to skip reboots triggered by the Component-Based Servicing component.

##### `dsc_skippendingcomputerrename`

Data type: `Optional[Boolean]`

Specifies whether to skip reboots triggered by a pending computer rename.

##### `dsc_skippendingfilerename`

Data type: `Optional[Boolean]`

Specifies whether to skip pending file rename reboots.

##### `dsc_skipwindowsupdate`

Data type: `Optional[Boolean]`

Specifies whether to skip reboots triggered by Windows Update.

##### `dsc_windowsupdate`

Data type: `Optional[Boolean]`

A value indicating whether Windows Update requested a reboot.

#### Parameters

The following parameters are available in the `dsc_pendingreboot` type.

##### `dsc_name`

namevar

Data type: `String`

Specifies the name of this pending reboot check.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_powerplan`

The DSC PowerPlan resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_powerplan` type.

##### `dsc_isactive`

Data type: `Optional[Boolean]`

Determines if the power plan is active.

##### `dsc_name`

Data type: `String`

The name or GUID of the power plan to activate.

#### Parameters

The following parameters are available in the `dsc_powerplan` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_powershellexecutionpolicy`

The DSC PowerShellExecutionPolicy resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_powershellexecutionpolicy` type.

##### `dsc_executionpolicy`

Data type: `Enum['Bypass', 'Restricted', 'AllSigned', 'RemoteSigned', 'Unrestricted']`

Changes the preference for the Windows PowerShell execution policy.

#### Parameters

The following parameters are available in the `dsc_powershellexecutionpolicy` type.

##### `dsc_executionpolicyscope`

namevar

Data type: `Enum['CurrentUser', 'LocalMachine', 'MachinePolicy', 'Process', 'UserPolicy']`

Defines the scope for the preference of the Windows PowerShell execution policy.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_remotedesktopadmin`

The DSC RemoteDesktopAdmin resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_remotedesktopadmin` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Determines whether or not the computer should accept remote desktop connections.  Present sets the value to Enabled and Absent sets the value to Disabled.

##### `dsc_userauthentication`

Data type: `Optional[Enum['Secure', 'NonSecure']]`

Setting this value to Secure configures the machine to require Network Level Authentication (NLA) for remote desktop connections.

#### Parameters

The following parameters are available in the `dsc_remotedesktopadmin` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_scheduledtask`

The DSC ScheduledTask resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_scheduledtask` type.

##### `dsc_actionarguments`

Data type: `Optional[String]`

The arguments to pass the executable.

##### `dsc_actionexecutable`

Data type: `Optional[String]`

The path to the .exe for this task.

##### `dsc_actionworkingpath`

Data type: `Optional[String]`

The working path to specify for the executable.

##### `dsc_allowstartifonbatteries`

Data type: `Optional[Boolean]`

Indicates whether the task should start if the machine is on batteries or not. Defaults to $false.

##### `dsc_builtinaccount`

Data type: `Optional[Enum['SYSTEM', 'LOCAL SERVICE', 'NETWORK SERVICE']]`

Run the task as one of the built in service accounts. When set ExecuteAsCredential will be ignored and LogonType will be set to 'ServiceAccount'.

##### `dsc_compatibility`

Data type: `Optional[Enum['AT', 'V1', 'Vista', 'Win7', 'Win8']]`

The task compatibility level. Defaults to Vista.

##### `dsc_daysinterval`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the interval between the days in the schedule. An interval of 1 produces a daily schedule. An interval of 2 produces an every-other day schedule.

##### `dsc_daysofweek`

Data type: `Optional[Array[String]]`

Specifies an array of the days of the week on which Task Scheduler runs the task.

##### `dsc_delay`

Data type: `Optional[String]`

Specifies a delay to the start of the trigger. The delay is a static delay before the task is executed. Can only be used in combination with ScheduleType OnEvent.

##### `dsc_description`

Data type: `Optional[String]`

The task description.

##### `dsc_disallowdemandstart`

Data type: `Optional[Boolean]`

Indicates whether the task is prohibited to run on demand or not. Defaults to $false.

##### `dsc_disallowhardterminate`

Data type: `Optional[Boolean]`

Indicates whether the task is prohibited to be terminated or not. Defaults to $false.

##### `dsc_disallowstartonremoteappsession`

Data type: `Optional[Boolean]`

Indicates that the task does not start if the task is triggered to run in a Remote Applications Integrated Locally (RAIL) session.

##### `dsc_dontstopifgoingonbatteries`

Data type: `Optional[Boolean]`

Indicates that the task does not stop if the computer switches to battery power.

##### `dsc_dontstoponidleend`

Data type: `Optional[Boolean]`

Indicates that Task Scheduler does not terminate the task if the idle condition ends before the task is completed.

##### `dsc_enable`

Data type: `Optional[Boolean]`

True if the task should be enabled, false if it should be disabled.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Present if the task should exist, Absent if it should be removed.

##### `dsc_eventsubscription`

Data type: `Optional[String]`

Specifies the EventSubscription in XML. This can be easily generated using the Windows Eventlog Viewer. For the query schema please check: https://docs.microsoft.com/en-us/windows/desktop/WES/queryschema-schema. Can only be used in combination with ScheduleType OnEvent.

##### `dsc_executeasgmsa`

Data type: `Optional[String]`

The gMSA (Group Managed Service Account) this task should execute as. Cannot be used in combination with ExecuteAsCredential or BuiltInAccount.

##### `dsc_executiontimelimit`

Data type: `Optional[String]`

Specifies the amount of time that Task Scheduler is allowed to complete the task.

##### `dsc_hidden`

Data type: `Optional[Boolean]`

Indicates that the task is hidden in the Task Scheduler UI.

##### `dsc_idleduration`

Data type: `Optional[String]`

Specifies the amount of time that the computer must be in an idle state before Task Scheduler runs the task.

##### `dsc_idlewaittimeout`

Data type: `Optional[String]`

Specifies the amount of time that Task Scheduler waits for an idle condition to occur.

##### `dsc_logontype`

Data type: `Optional[Enum['Group', 'Interactive', 'InteractiveOrPassword', 'None', 'Password', 'S4U', 'ServiceAccount']]`

Specifies the security logon method that Task Scheduler uses to run the tasks that are associated with the principal.

##### `dsc_multipleinstances`

Data type: `Optional[Enum['IgnoreNew', 'Parallel', 'Queue']]`

Specifies the policy that defines how Task Scheduler handles multiple instances of the task.

##### `dsc_networkname`

Data type: `Optional[String]`

Specifies the name of a network profile that Task Scheduler uses to determine if the task can run. The Task Scheduler UI uses this setting for display purposes. Specify a network name if you specify the RunOnlyIfNetworkAvailable parameter.

##### `dsc_priority`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the priority level of the task. Priority must be an integer from 0 (highest priority) to 10 (lowest priority). The default value is 7. Priority levels 7 and 8 are used for background tasks. Priority levels 4, 5, and 6 are used for interactive tasks.

##### `dsc_randomdelay`

Data type: `Optional[String]`

Specifies a random amount of time to delay the start time of the trigger. The delay time is a random time between the time the task triggers and the time that you specify in this setting.

##### `dsc_repeatinterval`

Data type: `Optional[String]`

How many units (minutes, hours, days) between each run of this task?

##### `dsc_repetitionduration`

Data type: `Optional[String]`

Specifies how long the repetition pattern repeats after the task starts. May be set to `Indefinitely` to specify an indefinite duration.

##### `dsc_restartcount`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the number of times that Task Scheduler attempts to restart the task.

##### `dsc_restartinterval`

Data type: `Optional[String]`

Specifies the amount of time that Task Scheduler attempts to restart the task.

##### `dsc_restartonidle`

Data type: `Optional[Boolean]`

Indicates that Task Scheduler restarts the task when the computer cycles into an idle condition more than once.

##### `dsc_runlevel`

Data type: `Optional[Enum['Limited', 'Highest']]`

Specifies the level of user rights that Task Scheduler uses to run the tasks that are associated with the principal. Defaults to 'Limited'.

##### `dsc_runonlyifidle`

Data type: `Optional[Boolean]`

Indicates that Task Scheduler runs the task only when the computer is idle.

##### `dsc_runonlyifnetworkavailable`

Data type: `Optional[Boolean]`

Indicates that Task Scheduler runs the task only when a network is available. Task Scheduler uses the NetworkID parameter and NetworkName parameter that you specify in this cmdlet to determine if the network is available.

##### `dsc_scheduletype`

Data type: `Optional[Enum['Once', 'Daily', 'Weekly', 'AtStartup', 'AtLogOn', 'OnEvent']]`

When should the task be executed.

##### `dsc_starttime`

Data type: `Optional[Timestamp]`

The time of day this task should start at - defaults to 12:00 AM. Not valid for AtLogon and AtStartup tasks.

##### `dsc_startwhenavailable`

Data type: `Optional[Boolean]`

Indicates that Task Scheduler can start the task at any time after its scheduled time has passed.

##### `dsc_synchronizeacrosstimezone`

Data type: `Optional[Boolean]`

Enable the scheduled task option to synchronize across time zones. This is enabled by including the timezone offset in the scheduled task trigger. Defaults to false which does not include the timezone offset.

##### `dsc_taskpath`

Data type: `Optional[String]`

The path to the task - defaults to the root directory.

##### `dsc_user`

Data type: `Optional[String]`

Specifies the identifier of the user for a trigger that starts a task when a user logs on.

##### `dsc_waketorun`

Data type: `Optional[Boolean]`

Indicates that Task Scheduler wakes the computer before it runs the task.

##### `dsc_weeksinterval`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the interval between the weeks in the schedule. An interval of 1 produces a weekly schedule. An interval of 2 produces an every-other week schedule.

#### Parameters

The following parameters are available in the `dsc_scheduledtask` type.

##### `dsc_executeascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The credential this task should execute as. If not specified defaults to running as the local system account.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_taskname`

namevar

Data type: `String`

The name of the task.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_smbserverconfiguration`

The DSC SmbServerConfiguration resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_smbserverconfiguration` type.

##### `dsc_announcecomment`

Data type: `Optional[String]`

Specifies the announce comment string.

##### `dsc_announceserver`

Data type: `Optional[Boolean]`

Specifies whether this server announces itself by using browser announcements.

##### `dsc_asynchronouscredits`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the asynchronous credits.

##### `dsc_auditsmb1access`

Data type: `Optional[Boolean]`

Enables auditing of SMB version 1 protocol in Windows Event Log.

##### `dsc_autodisconnecttimeout`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the auto disconnect time-out.

##### `dsc_autoshareserver`

Data type: `Optional[Boolean]`

Specifies that the default server shares are shared out.

##### `dsc_autoshareworkstation`

Data type: `Optional[Boolean]`

Specifies whether the default workstation shares are shared out.

##### `dsc_cachedopenlimit`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum number of cached open files.

##### `dsc_durablehandlev2timeoutinseconds`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the durable handle v2 time-out period, in seconds.

##### `dsc_enableauthenticateusersharing`

Data type: `Optional[Boolean]`

Specifies whether authenticate user sharing is enabled.

##### `dsc_enabledownleveltimewarp`

Data type: `Optional[Boolean]`

Specifies whether down-level timewarp support is disabled.

##### `dsc_enableforcedlogoff`

Data type: `Optional[Boolean]`

Specifies whether forced logoff is enabled.

##### `dsc_enableleasing`

Data type: `Optional[Boolean]`

Specifies whether leasing is disabled.

##### `dsc_enablemultichannel`

Data type: `Optional[Boolean]`

Specifies whether multi-channel is disabled.

##### `dsc_enableoplocks`

Data type: `Optional[Boolean]`

Specifies whether the opportunistic locks are enabled.

##### `dsc_enablesecuritysignature`

Data type: `Optional[Boolean]`

Specifies whether the security signature is enabled.

##### `dsc_enablesmb1protocol`

Data type: `Optional[Boolean]`

Specifies whether the SMB1 protocol is enabled.

##### `dsc_enablesmb2protocol`

Data type: `Optional[Boolean]`

Specifies whether the SMB2 protocol is enabled.

##### `dsc_enablestrictnamechecking`

Data type: `Optional[Boolean]`

Specifies whether the server should perform strict name checking on incoming connects.

##### `dsc_encryptdata`

Data type: `Optional[Boolean]`

Specifies whether the sessions established on this server are encrypted.

##### `dsc_irpstacksize`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the default IRP stack size.

##### `dsc_keepalivetime`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the keep alive time.

##### `dsc_maxchannelpersession`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum channels per session.

##### `dsc_maxmpxcount`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum MPX count for SMB1.

##### `dsc_maxsessionperconnection`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum sessions per connection.

##### `dsc_maxthreadsperqueue`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum threads per queue.

##### `dsc_maxworkitems`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum SMB1 work items.

##### `dsc_nullsessionpipes`

Data type: `Optional[String]`

Specifies the null session pipes.

##### `dsc_nullsessionshares`

Data type: `Optional[String]`

Specifies the null session shares.

##### `dsc_oplockbreakwait`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies how long the create caller waits for an opportunistic lock break.

##### `dsc_pendingclienttimeoutinseconds`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the pending client time-out period, in seconds.

##### `dsc_rejectunencryptedaccess`

Data type: `Optional[Boolean]`

Specifies whether the client that does not support encryption is denied access if it attempts to connect to an encrypted share.

##### `dsc_requiresecuritysignature`

Data type: `Optional[Boolean]`

Specifies whether the security signature is required.

##### `dsc_serverhidden`

Data type: `Optional[Boolean]`

Specifies whether the server announces itself.

##### `dsc_smb2creditsmax`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum SMB2 credits.

##### `dsc_smb2creditsmin`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the minimum SMB2 credits.

##### `dsc_smbservernamehardeninglevel`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the SMB Service name hardening level.

##### `dsc_treathostasstablestorage`

Data type: `Optional[Boolean]`

Specifies whether the host is treated as the stable storage.

##### `dsc_validatealiasnotcircular`

Data type: `Optional[Boolean]`

Specifies whether the aliases that are not circular are validated.

##### `dsc_validatesharescope`

Data type: `Optional[Boolean]`

Specifies whether the existence of share scopes is checked during share creation.

##### `dsc_validatesharescopenotaliased`

Data type: `Optional[Boolean]`

Specifies whether the share scope being aliased is validated.

##### `dsc_validatetargetname`

Data type: `Optional[Boolean]`

Specifies whether the target name is validated.

#### Parameters

The following parameters are available in the `dsc_smbserverconfiguration` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_smbshare`

The DSC SmbShare resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_smbshare` type.

##### `dsc_cachingmode`

Data type: `Optional[Enum['None', 'Manual', 'Programs', 'Documents', 'BranchCache']]`

Specifies the caching mode of the offline files for the SMB share.

##### `dsc_changeaccess`

Data type: `Optional[Array[String]]`

Specifies which accounts will be granted modify permission to access the SMB share.

##### `dsc_concurrentuserlimit`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum number of concurrently connected users that the new SMB share may accommodate. If this parameter is set to zero (0), then the number of users is unlimited. The default value is zero (0).

##### `dsc_continuouslyavailable`

Data type: `Optional[Boolean]`

Specifies whether the SMB share should be continuously available.

##### `dsc_description`

Data type: `Optional[String]`

Specifies the description of the SMB share.

##### `dsc_encryptdata`

Data type: `Optional[Boolean]`

Indicates that the SMB share is encrypted.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies if the SMB share should be added or removed.

##### `dsc_folderenumerationmode`

Data type: `Optional[Enum['AccessBased', 'Unrestricted']]`

Specifies which files and folders in the new SMB share are visible to users.

##### `dsc_fullaccess`

Data type: `Optional[Array[String]]`

Specifies which accounts are granted full permission to access the SMB share.

##### `dsc_noaccess`

Data type: `Optional[Array[String]]`

Specifies which accounts are denied access to the SMB share.

##### `dsc_path`

Data type: `String`

Specifies the path of the SMB share.

##### `dsc_readaccess`

Data type: `Optional[Array[String]]`

Specifies which accounts is granted read permission to access the SMB share.

##### `dsc_scopename`

Data type: `Optional[String]`

Specifies the scope in which the share should be created.

##### `dsc_shadowcopy`

Data type: `Optional[Boolean]`

Specifies if this SMB share is a ShadowCopy.

##### `dsc_sharestate`

Data type: `Optional[String]`

Specifies the state of the SMB share.

##### `dsc_sharetype`

Data type: `Optional[String]`

Specifies the type of the SMB share.

##### `dsc_special`

Data type: `Optional[Boolean]`

Specifies if this SMB share is a special share. E.g. an admin share, default shares, or IPC$ share.

#### Parameters

The following parameters are available in the `dsc_smbshare` type.

##### `dsc_force`

Data type: `Optional[Boolean]`

Specifies if the SMB share is allowed to be dropped and recreated (required when the path changes).

##### `dsc_name`

namevar

Data type: `String`

Specifies the name of the SMB share.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_systemlocale`

The DSC SystemLocale resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_systemlocale` type.

##### `dsc_systemlocale`

Data type: `String`

Specifies the System Locale.

#### Parameters

The following parameters are available in the `dsc_systemlocale` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_timezone`

The DSC TimeZone resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_timezone` type.

##### `dsc_timezone`

Data type: `String`

Specifies the TimeZone.

#### Parameters

The following parameters are available in the `dsc_timezone` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_useraccountcontrol`

The DSC UserAccountControl resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_useraccountcontrol` type.

##### `dsc_consentpromptbehavioradmin`

Data type: `Optional[Enum['0', '1', '2', '3', '4', '5']]`

Specifies the prompt behavior for the Consent Administrator.

##### `dsc_consentpromptbehavioruser`

Data type: `Optional[Enum['0', '1', '3']]`

Specifies how the operations that requires elevation is handled for users.

##### `dsc_enableinstallerdetection`

Data type: `Optional[Enum['0', '1']]`

Specifies how package installations are handled.

##### `dsc_enablelua`

Data type: `Optional[Enum['0', '1']]`

Specifies how the 'administrator in Admin Approval Mode' user type are handled.

##### `dsc_enablevirtualization`

Data type: `Optional[Enum['0', '1']]`

Specifies how redirection of legacy application File and Registry writes are handled.

##### `dsc_filteradministratortoken`

Data type: `Optional[Enum['0', '1']]`

Specifies the mode for the built-in administrator account (RID 500).

##### `dsc_notificationlevel`

Data type: `Optional[Enum['AlwaysNotify', 'AlwaysNotifyAndAskForCredentials', 'NotifyChanges', 'NotifyChangesWithoutDimming', 'NeverNotify', 'NeverNotifyAndDisableAll']]`

Specifies the desired notification level for the User Account Control setting. This parameter can not be used at the same time as any of the granular parameters.

##### `dsc_promptonsecuredesktop`

Data type: `Optional[Enum['0', '1']]`

Specifies if secure desktop prompting are used.

##### `dsc_suppressrestart`

Data type: `Optional[Boolean]`

Specifies if a restart of the node should be suppressed. By default the node will be restarted if the value is changed.

##### `dsc_validateadmincodesignatures`

Data type: `Optional[Enum['0', '1']]`

Specifies how cryptographic signatures on interactive applications are handled.

#### Parameters

The following parameters are available in the `dsc_useraccountcontrol` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_virtualmemory`

The DSC VirtualMemory resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_virtualmemory` type.

##### `dsc_initialsize`

Data type: `Optional[Integer[-9223372036854775808, 9223372036854775807]]`

The initial size of the page file in Megabyte

##### `dsc_maximumsize`

Data type: `Optional[Integer[-9223372036854775808, 9223372036854775807]]`

The maximum size of the page file in Megabyte

#### Parameters

The following parameters are available in the `dsc_virtualmemory` type.

##### `dsc_drive`

namevar

Data type: `String`

The drive letter for which paging settings should be set. Can be letter only, letter and colon or letter with colon and
trailing slash.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_type`

namevar

Data type: `Enum['AutoManagePagingFile', 'CustomSize', 'SystemManagedSize', 'NoPagingFile']`

The type of the paging setting to use. If set to AutoManagePagingFile, the drive letter will be ignored. If set to
SystemManagedSize, the values for InitialSize and MaximumSize will be ignored

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_windowscapability`

The DSC WindowsCapability resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_windowscapability` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the Windows Capability should be installed or uninstalled. To install the Windows Capability, set this property to Present. To uninstall the Windows Capability, set the property to Absent.

##### `dsc_loglevel`

Data type: `Optional[Enum['Errors', 'Warnings', 'WarningsInfo']]`

Specifies the given Log Level of a Windows Capability. This is a write only parameter that is used when updating the status of a Windows Capability. If not specified, the default is 'WarningsInfo'.

##### `dsc_logpath`

Data type: `Optional[String]`

Specifies the full path and file name to log to. This is a write only parameter that is used when updating the status of a Windows Capability. If not specified, the default is '%WINDIR%\Logs\Dism\dism.log'.

#### Parameters

The following parameters are available in the `dsc_windowscapability` type.

##### `dsc_name`

namevar

Data type: `String`

Specifies the name of the Windows Capability.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_windowseventlog`

The DSC WindowsEventLog resource type.
Automatically generated from version 8.0.0

#### Properties

The following properties are available in the `dsc_windowseventlog` type.

##### `dsc_isenabled`

Data type: `Optional[Boolean]`

Specifies the given state of a Windows Event Log

##### `dsc_logfilepath`

Data type: `Optional[String]`

Specifies the given LogFile path of a Windows Event Log

##### `dsc_logmode`

Data type: `Optional[Enum['AutoBackup', 'Circular', 'Retain']]`

Specifies the given LogMode for a specified Windows Event Log

##### `dsc_logretentiondays`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the given LogRetentionDays for the Logmode 'AutoBackup'

##### `dsc_maximumsizeinbytes`

Data type: `Optional[Integer[-9223372036854775808, 9223372036854775807]]`

Specifies the given maximum size in bytes for a specified Windows Event Log

##### `dsc_securitydescriptor`

Data type: `Optional[String]`

Specifies the given SecurityDescriptor for a specified Windows Event Log

#### Parameters

The following parameters are available in the `dsc_windowseventlog` type.

##### `dsc_logname`

namevar

Data type: `String`

Specifies the given name of a Windows Event Log

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

